[arch-dev-public] Future mesa-9.0 and related packages

Andreas Radke andyrtr at archlinux.org
Sun Sep 23 04:09:01 EDT 2012

Am Sun, 09 Sep 2012 22:00:32 +0200
schrieb Laurent Carlier <lordheavym at gmail.com>:

> Mesa 9.0 will be soon available.
> I manage for some month a repo with mesa built from git, in a
> splitted way like our extra packages (1). Package sources are of
> course available (2) and are changing regularly because of a move
> from a static built system to an autotools driven built system. This
> move drives me to apply some "workaround" to avoid liking breakage
> because of the way our splitting packages are working; i prefer that
> way to do instead of patching the Makefiles. I'm currently applying
> similar workaround with gambas3 packages, with much success, and it
> avoid the maintainance of patches.

That workaround seems to introduce new dependencies that shouldn't be

libgbm E: Dependency libglapi detected and not included (libraries
['usr/lib/libglapi.so.0'] needed in files ['usr/lib/libgbm.so.1.0.0'])

This happens wherever we install an unneeded target and remove it
later. This sucks.

Can't we find a proper solution or make upstream find a better fix to
allow proper autotools make install steps?

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 490 bytes
Desc: not available
URL: <http://mailman.archlinux.org/pipermail/arch-dev-public/attachments/20120923/8afac56b/attachment.asc>

More information about the arch-dev-public mailing list